package com.uc.entity;

import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;

public class UserEntity extends BaseEntity{
    
    private static final long serialVersionUID = 8898159330543638394L;
    
//    @NotEmpty(message="usercode不能为NULL")
    @JSONField(name="usercode")
    private String usercode;
    
    // 指定字段名称
//    @NotEmpty(message="username用户名称不能为NULL")
    @JSONField(name="username")
    private String username;
    
    @JSONField(name="nickname")
    private String nickname;
    
    // 指定字段不序列化
    @JSONField(serialize=false)
    private String password;
    
    // 日期格式化注解
    @JSONField(name="create_date",format="yyyy-MM-dd HH:mm:ss")
    private Date createDate;
    
    public String getNickname() {
        return nickname;
    }
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }
    public String getUsercode() {
        return usercode;
    }
    public void setUsercode(String usercode) {
        this.usercode = usercode;
    }
    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
    public Date getCreateDate() {
        return createDate;
    }
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
